Inhalte
Index 🔎︎

# Funktion Sin

Ermittelt den Sinus eines Winkels. Der Winkel wird im Bogenmaß angegeben. Das Ergebnis liegt im Bereich von -1 bis 1.

Unter Verwendung des Winkels Alpha gibt die Funktion Sin das Verhältnis der Länge der gegenüberliegenden Seite eines Winkels zur Länge der Hypotenuse in einem rechtwinkligen Dreieck zurück.

Sin(Alpha) = Seite gegenüber dem Winkel/Hypotenuse

### Syntax:

    Sin (Zahl As Double) As Double

### Rückgabewert:

Double

### Parameter:

Zahl: Numerischer Ausdruck, der einen im Bogenmaß (Rad) angegebenen Winkel darstellt, dessen Sinus Sie berechnen möchten.

Um Grad in Radiant umzurechnen, multiplizieren Sie Grad mit Pi/180, und um Radiant in Grad umzurechnen, multiplizieren Sie Radiant mit 180/Pi.

Grad=(Radiant*180)/Pi

Radiant=(Grad*Pi)/180

Pi ist ungefähr 3,141593.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    ' Das folgende Beispielprogramm erlaubt für ein rechtwinkliges Dreieck die Eingabe von:
    ' Gegenkathete und Winkel (in Grad) und berechnet daraus die Länge der Hypotenuse:
    Sub ExampleSine
    ' Pi = 3.1415926 ist eine vordefinierte Variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Bitte geben Sie die Länge der Gegenkathete ein: ","Gegenkathete")
        dAlpha = InputBox("Bitte geben Sie den Winkel Alpha ein (in Grad): ","Alpha")
        Print "Die Länge der Hypotenuse beträgt"; (d1 / sin (dAlpha * Pi / 180))
    End Sub

Verwandte Themen

Funktion Atn

Funktion Cos

Funktion Tan